Package net.commoble.exmachina.api

# Interface StaticProperty.BakedStaticProperty

Enclosing interface:
  `StaticProperty`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface StaticProperty.BakedStaticProperty
StaticProperty cached for a particular Block

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StaticProperty.BakedStaticProperty`
`EMPTY`
BakedStaticProperty instance used for blocks which do not have power graph components or is otherwise invalid

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue(net.minecraft.world.level.block.state.BlockState state)`
Returns double value for a given blockstate of the associated Block.
`default boolean`
`isPresent()`
Returns true if this is a real BakedStaticProperty (not empty/invalid).

## Field Details

### EMPTY

static final StaticProperty.BakedStaticProperty EMPTY
BakedStaticProperty instance used for blocks which do not have power graph components or is otherwise invalid

## Method Details

### getValue

double getValue(net.minecraft.world.level.block.state.BlockState state)
Returns double value for a given blockstate of the associated Block.

Parameters:
  `state` - BlockState to get a value for
Returns:
  double value for a given blockstate of the associated Block

### isPresent

default boolean isPresent()
Returns true if this is a real BakedStaticProperty (not empty/invalid).

Returns:
  true if this is a real BakedStaticProperty (not empty/invalid)